Bug 210117 - Review Request: perl-aliased - Use shorter versions of class names
Review Request: perl-aliased - Use shorter versions of class names
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/aliased/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-10 00:52 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-13 01:44:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-10-10 00:52:32 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-aliased-0.20-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-aliased.spec

Description:
aliased is simple in concept but is a rather handy module. It loads the
class you specify and exports into your namespace a subroutine that returns
the class name. You can explicitly alias the class to another name or, if
you prefer, you can do so implicitly. In the latter case, the name of the
subroutine is the last part of the class name.
Comment 1 Jason Tibbitts 2006-10-13 00:04:09 EDT
My apologies for taking so long with this; the past couple of days have been
rather eventful.

* source files match upstream:
   0bfab0c5dcff5a4903e04feb22d37b9b  aliased-0.20.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(aliased) = 0.20
   perl-aliased = 0.20-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(strict)
* %check is present and all tests pass:
   All tests successful.
   Files=4, Tests=23,  0 wallclock secs ( 0.17 cusr +  0.05 csys =  0.22 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-10-13 01:44:26 EDT
Imported and built for devel.  Branch request for FC-5...

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.